0

Here is the error it shows

enter image description here

Here are the warnings

enter image description here

https://gist.github.com/libracoder/82b52edf45e1e389fc0ea832c4b88307

0

Deploying the contract might be consuming a more gas than supplied. Where are you compiling it? Remix? Truffle? You should check your gas limit and increase it. Also make sure code optimization is turned on to reduce gas used.

  • My Gas Limit is at 3,000,000. Sir please do you mind debugging the smart contract for me??? – Libra Coder Nov 22 '17 at 16:30
  • As I said, try increasing it up to the limit (4.500.000 aprox). If it doesn't work, you should check code optimization is turned on. And if it doesn't work, then you will have to review your code to make it smaller or check there isn't anything weird going on with it. – pabloruiz55 Nov 22 '17 at 16:31
  • There are other errors in the code that might be preventing it from working. For example, in lines 289 and 290: uint256 _minICOEthCap=290000; uint256 _maxICOEthCap=200000; Min cap should not be higher than max cap. That is also enforced later on in the constructor... – pabloruiz55 Nov 22 '17 at 16:34
0

You have one glitch and one error. First, use of fallback function is not recommended. You should avoid it. More info about this here.

And your problem is here: 1511301043. It is for yesterday. Since you try to deploy the contract today, it will throw. It is not deploying because of this require: require(_presaleStartTime > now);

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.